//
//  RegisterVC.m
//
//  Created by apple2 on 2017/12/18.
//  Copyright © 2017年 yuanxin. All rights reserved.
//

#import "RegisterVC.h"
#define Wwidth [UIScreen mainScreen].bounds.size.width
#define Hheight [UIScreen mainScreen].bounds.size.height

#define shipeiHeight [UIScreen mainScreen].bounds.size.height/667.0
#define shipeiWidth [UIScreen mainScreen].bounds.size.width/375.0

//iphone X 尺寸
#define ZHheight ([[UIApplication sharedApplication] statusBarFrame].size.height >20? 86:64)  //导航栏高度
#define IphoneXHeight ([[UIApplication sharedApplication] statusBarFrame].size.height >20? 22:0)  //导航栏增加高度
#define IphoneXTabbarH ([[UIApplication sharedApplication] statusBarFrame].size.height >20? 83:49)  //tabbar高度

@interface RegisterVC (){
    UIButton * _RegisterBtn;
    NSTimer *_timer;
}
@end

@implementation RegisterVC

- (void)viewDidLoad {
      _timer = [NSTimer scheduledTimerWithTimeInterval:0.5 target:self selector:@selector(clickAnimation) userInfo:nil repeats:YES];
    //关闭定时器
    [_timer setFireDate:[NSDate distantFuture]];
    
    _RegisterBtn = [[UIButton alloc]initWithFrame:CGRectMake(Wwidth*.5 - 50*shipeiWidth,ZHheight + 60 +200 + 30 , 100*shipeiWidth, 100*shipeiWidth)];
    [self.view addSubview:_RegisterBtn];
   
    _RegisterBtn.titleLabel.textAlignment = NSTextAlignmentCenter;
    _RegisterBtn.titleLabel.font = [UIFont systemFontOfSize:17.0];
    _RegisterBtn.titleLabel.numberOfLines = 0;
    [_RegisterBtn setTitleColor:[UIColor redColor] forState:0];
    [_RegisterBtn setTitle:@"长按录音" forState:0];
    _RegisterBtn.backgroundColor = [UIColor greenColor];
   
    _RegisterBtn.layer.masksToBounds = NO;
    _RegisterBtn.layer.cornerRadius = 50*shipeiWidth;
    _RegisterBtn.layer.borderWidth = 5*shipeiWidth;
    _RegisterBtn.layer.borderColor = [UIColor whiteColor].CGColor;
    
    _RegisterBtn.layer.shadowOffset =  CGSizeMake(0, 0);
    _RegisterBtn.layer.shadowOpacity = 0.6;
    _RegisterBtn.layer.shadowColor =  [UIColor blackColor].CGColor;
    
    [_RegisterBtn addTarget:self action:@selector(clickAnimation1) forControlEvents:UIControlEventTouchDown];
    [_RegisterBtn addTarget:self action:@selector(clickAnimation2) forControlEvents:UIControlEventTouchUpInside];
}
-(void)clickAnimation1{
    //开启定时器
    [_timer setFireDate:[NSDate distantPast]];
}
-(void)clickAnimation{
    
    __block animation *andome = [[animation alloc] initWithFrame:_RegisterBtn.frame];
    andome.CGfrom_x = _RegisterBtn.bounds.size.width;
    andome.backgroundColor = [UIColor clearColor];
    andome.tag = 10001;
    [self.view addSubview:andome];
    [self.view sendSubviewToBack:andome];
    [UIView animateWithDuration:2 animations:^{
        andome.transform = CGAffineTransformScale(andome.transform, 1.5, 1.5);
        andome.alpha = 0;
    } completion:^(BOOL finished) {
        [andome removeFromSuperview];
        NSLog(@"结束动画");
    }];
}
-(void)clickAnimation2{
    //关闭定时器
    [_timer setFireDate:[NSDate distantFuture]];
    //for循环查找:
    for (UIView *findLabel in self.view.subviews) {
        if (findLabel.tag == 10001)
        {
            [findLabel removeFromSuperview ];
        }
    }
}
- (void)dealloc {
    //取消定时器
    [_timer invalidate];
    _timer = nil;
}
@end
